org.wildfly.swarm.config.elytron

## Class AggregatePrincipalTransformer<T extends AggregatePrincipalTransformer<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.AggregatePrincipalTransformer<T>

-     public class AggregatePrincipalTransformer<T extends AggregatePrincipalTransformer<T>>
      extends Object

  A principal transformer aggregating more principal transformers. Original principal is tried to be transformed by individual transformers until one return non-null principal - that is returned.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregatePrincipalTransformer(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `principalTransformer(String value)` The referenced principal transformers to aggregate.
    `List<String>` | `principalTransformers()` The referenced principal transformers to aggregate.
    `T` | `principalTransformers(List<String> value)` The referenced principal transformers to aggregate.
    `T` | `principalTransformers(String... args)` The referenced principal transformers to aggregate.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregatePrincipalTransformer

          public AggregatePrincipalTransformer(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### principalTransformers

          public List<String> principalTransformers()

      The referenced principal transformers to aggregate.

    - #### principalTransformers

          public T principalTransformers(List<String> value)

      The referenced principal transformers to aggregate.

    - #### principalTransformer

          public T principalTransformer(String value)

      The referenced principal transformers to aggregate.

    - #### principalTransformers

          public T principalTransformers(String... args)

      The referenced principal transformers to aggregate.

Copyright © 2017 JBoss by Red Hat. All rights reserved.